/*
 * Class TYPE [TYPED_POINTER [REAL_64]]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_356 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_356 [] = {0xFF01,237,355,353,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_356 [] = {0xFF01,355,353,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_356 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_356 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_356 [] = {0xFF01,355,353,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_356 [] = {0xFF01,355,353,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_356 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_356 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_356 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_356 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_356 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_356 [] = {355,353,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_356 [] = {0xFF01,355,353,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_356 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_356 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_356 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_356 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_356 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_356 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_356 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_356 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_356 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_356 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_356 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_356 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_26_356 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_27_356 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_356 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_356[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_356), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_356), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_356), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_356), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_356), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_356), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_356), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_356), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_356), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_356), 8616, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_356), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_356), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_356), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_356), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8603, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8609, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8610, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1449, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_356), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_356), 8601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8602, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8604, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8605, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8606, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8607, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_356), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_356), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_356), 8613, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_356), 8614, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_356), 8615, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_356), 8618, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8619, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8620, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_356), 8621, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_356), 8622, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_356), 8623, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_356), 8624, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 8625, 0},
	{EIF_GENERIC(egt_26_356), 8626, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_356), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_356), 8617, 0xFFFFFFFF},
};
void Init356(void)
{
	IDSC(desc_356, 0, 355);
	IDSC(desc_356 + 1, 1, 355);
	IDSC(desc_356 + 32, 248, 355);
	IDSC(desc_356 + 34, 203, 355);
	IDSC(desc_356 + 38, 11, 355);
	IDSC(desc_356 + 60, 336, 355);
}


#ifdef __cplusplus
}
#endif
